abclinuxu.cz AbcLinuxu.cz itbiz.cz ITBiz.cz HDmag.cz HDmag.cz abcprace.cz AbcPráce.cz
AbcLinuxu hledá autory!
Inzerujte na AbcPráce.cz od 950 Kč
Rozšířené hledání
×
včera 16:11 | Nová verze

Byla vydána verze 8.0 open source unixového operačního systému NetBSD (Wikipedie). Přehled novinek v poznámkách k vydání.

Ladislav Hagara | Komentářů: 0
včera 12:33 | Zajímavý projekt

Uživatel denholmsdead již více než rok zveřejňuje na redditu své obrázky s linuxovou tématikou. Náhledy obrázků jsou k dispozici na linux.pictures. Obrázky v plném rozlišení na GitLabu.

Ladislav Hagara | Komentářů: 1
20.7. 18:55 | Zajímavý projekt

Společnosti Google, Microsoft, Twitter a Facebook společně představily open source platformu Data Transfer Project (DTP). Cílem platformy je zjednodušit uživatelům přechod a přenos dat mezi jednotlivými online službami. Podrobnosti v pdf a na GitHubu.

Ladislav Hagara | Komentářů: 4
20.7. 18:33 | Nová verze

Canonical a Microsoft společně oznámili, že PowerShell Core je nově dostupný také jako snap balíček na Snapcraftu. Microsoft uvolnil zdrojové kódy PowerShellu (Wikipedie, GitHub) v srpnu 2016 pod open source licencí MIT a naportoval je na Linux.

Ladislav Hagara | Komentářů: 2
20.7. 13:11 | Zajímavý projekt

Novinkou v minor aktualizaci webového prohlížeče Vivaldi je podpora vyhledávače Qwant (Wikipedie). Vývojáři Vivaldi zdůrazňují, že se jedná o evropský vyhledávač respektující soukromí uživatelů.

Ladislav Hagara | Komentářů: 7
20.7. 01:33 | Nová verze

Po šesti letech od vydání verze 1.0 byla vydána verze 2.0 multiplatformního editoru tagů MusicBrainz Picard (Wikipedie). Přehled novinek, vylepšení a oprav v changelogu.

Ladislav Hagara | Komentářů: 0
19.7. 16:22 | Nová verze Ladislav Hagara | Komentářů: 14
19.7. 15:00 | Komunita

Dnes končí podpora Ubuntu 17.10 Artful Aardvark. Uživatelům je doporučen přechod na Ubuntu 18.04 Bionic Beaver s prodlouženou podporou do roku 2023. Podpora standardních verzí Ubuntu je 9 měsíců. Verze 17.10 byla vydána 19. října 2017.

Ladislav Hagara | Komentářů: 12
19.7. 13:33 | Bezpečnostní upozornění

Společnost Oracle vydala čtvrtletní bezpečnostní aktualizaci svých softwarových produktů (CPU, Critical Patch Update). Opraveno bylo celkově 334 bezpečnostních chyb. V Oracle Java SE je například opraveno 8 bezpečnostních chyb. Všechny jsou vzdáleně zneužitelné bez autentizace. V Oracle MySQL je opraveno 31 bezpečnostních chyb. Vzdáleně zneužitelných bez autentizace je 7 z nich.

Ladislav Hagara | Komentářů: 0
19.7. 13:11 | Zajímavý software

Nick Clifton zveřejnil na blogu společnosti Red Hat věnujícímu se počítačové bezpečnosti nástroj, pomocí kterého lze ověřit, zda jsou binární spustitelné soubory odolné vůči variantě 1 bezpečnostní chyby Spectre v procesorech.

Ladislav Hagara | Komentářů: 0
Jak čtete delší texty z webových stránek?
 (77%)
 (20%)
 (5%)
 (7%)
 (2%)
 (10%)
Celkem 376 hlasů
 Komentářů: 40, poslední 29.6. 10:21
    Rozcestník

    Dotaz: Problem s kompilaciou /emerge/ pod gentoo

    8.3.2006 13:53 Robo
    Problem s kompilaciou /emerge/ pod gentoo
    Přečteno: 137×
    Zdravim Vas.

    Pri emerge -u world mi skoro pri kazdej kompilacii vypise chybu napr:

    !!! ERROR: media-sound/amarok-1.4_beta2-r1 failed.

    Call stack:

    ebuild.sh, line 1933: Called dyn_compile

    ebuild.sh, line 971: Called src_compile

    Neviem si s tym rady, poprosim o pomoc.

    Odpovědi

    8.3.2006 14:01 Radomír Fojtík | skóre: 33 | blog: jen to zkouším | Tísek
    Rozbalit Rozbalit vše Re: Problem s kompilaciou /emerge/ pod gentoo
    Aby bylo zřejmé, proč to "failed", zkuste poslat pár řádku, které tomu předchází.
    8.3.2006 14:22 ROBO
    Rozbalit Rozbalit vše Re: Problem s kompilaciou /emerge/ pod gentoo
    Ano, prepac, uz to vidim:

    configure: error: you need to install kdelibs first.

    If you did install kdelibs, then the Qt version that is picked up by this configure is not the same version you used to compile kdelibs. The Qt Plugin installed by kdelibs is *ONLY* loadable if it is the _same Qt version_, compiled with the _same compiler_ and the same Qt configuration settings.

    co mam najprv nainstalovat?
    8.3.2006 14:28 Robo
    Rozbalit Rozbalit vše Re: Problem s kompilaciou /emerge/ pod gentoo
    ESTE dodatok:

    checking for KDE... libraries /usr/kde/3.5/lib, headers /usr/kde/3.5/include checking if UIC has KDE plugins available... no configure: error: you need to install kdelibs first.
    8.3.2006 14:43 Radomír Fojtík | skóre: 33 | blog: jen to zkouším | Tísek
    Rozbalit Rozbalit vše Re: Problem s kompilaciou /emerge/ pod gentoo
    Těžko říct. Poinstalační info balíku qt-3.3.4-r8

    "After a rebuild of Qt, it can happen that Qt plugins (such as Qt/KDE styles, or widgets for the Qt designer) are no longer recognized. If this situation occurs you should recompile the packages providing these plugins, and you should also make sure that Qt and its plugins were compiled with the same version of gcc. Packages that may need to be rebuilt are, for instance, "kde-base/kdelibs, kde-base/kdeartwork and kde-base/kdeartwork-styles. See http://doc.trolltech.com/3.3/plugins-howto.html for more infos."

    Možná bude stačit reemergnou kdelibs. Ale kdoví, jak se o systém staráte. Povyšoval-li jste gcc, podíval se na howto? Říká vám něco revdep-rebuild? Atd...
    8.3.2006 14:50 Robo
    Rozbalit Rozbalit vše Re: Problem s kompilaciou /emerge/ pod gentoo
    Asi ne, revdep-rebuild jsem nedelal, pomuzete mi s tim?
    8.3.2006 15:11 Radomír Fojtík | skóre: 33 | blog: jen to zkouším | Tísek
    Rozbalit Rozbalit vše Re: Problem s kompilaciou /emerge/ pod gentoo
    Nejdřív pošlete výpis

    # gcc-config -l

    a poté emergnete gentoolkit a cvičně spusttě

    # revdep-rebuild -pv

    Mělo by to vypsat poškozené "závislosti", pokud takové existují a nabídnout k reemergnutí potřebné balíčky. Je něco "polámaného"?

    Ať je to jak chce, budete se muset ponořit do dokumentace správy gentoo, protože s pouhým "emerge -u" dlouho nevydržíte a problémy se začnou časem kupit.
    8.3.2006 15:19 ROBO
    Rozbalit Rozbalit vše Re: Problem s kompilaciou /emerge/ pod gentoo
    OK. Diky, pustim sa do toho.
    8.3.2006 15:21 robo
    Rozbalit Rozbalit vše Re: Problem s kompilaciou /emerge/ pod gentoo
    vypis

    localhost robi # gcc-config -l Available compilers for CTARGET i686-pc-linux-gnu

    [1] i686-pc-linux-gnu-3.3.6/default

    [2] i686-pc-linux-gnu-3.3.6/hardened

    [3] i686-pc-linux-gnu-3.3.6/hardenednopie

    [4] i686-pc-linux-gnu-3.3.6/hardenednopiessp

    [5] i686-pc-linux-gnu-3.3.6/hardenednossp

    [6] i686-pc-linux-gnu-3.4.5/hardened

    [7] i686-pc-linux-gnu-3.4.5/hardenednopie

    [8] i686-pc-linux-gnu-3.4.5/hardenednopiessp

    [9] i686-pc-linux-gnu-3.4.5/hardenednossp

    [10] i686-pc-linux-gnu-3.4.5/vanilla

    [11] i686-pc-linux-gnu-4.1.0/vanilla

    Activated profiles:

    i686-pc-linux-gnu * i686-pc-linux-gnu-4.1.0/vanilla
    8.3.2006 15:26 Radomír Fojtík | skóre: 33 | blog: jen to zkouším | Tísek
    Rozbalit Rozbalit vše Re: Problem s kompilaciou /emerge/ pod gentoo
    No tak to jooo, vy jedete ve velkém. Na gcc-4 jsem se ještě neodvážil, neb předpokládám že ne vše zatím půjde hladce. Zkrátka nevím, co víc bych tady ještě mohl říct. Jen přeju hodně štěstí.

    PS: Ten revdep-rebuild myslím ztrácí nyní smysl.
    8.3.2006 15:29 Robo
    Rozbalit Rozbalit vše Re: Problem s kompilaciou /emerge/ pod gentoo
    Ale to gcc4 som si dal iba teraz, problem bol aj pred tym na gcc 3.5
    8.3.2006 15:30 Robo
    Rozbalit Rozbalit vše Re: Problem s kompilaciou /emerge/ pod gentoo
    3.4.5
    8.3.2006 15:36 Robo
    Rozbalit Rozbalit vše Re: Problem s kompilaciou /emerge/ pod gentoo
    a este nieco, pri kompilacii mi vypise:

    Use gcc33: ''
    8.3.2006 15:37 Radomír Fojtík | skóre: 33 | blog: jen to zkouším | Tísek
    Rozbalit Rozbalit vše Re: Problem s kompilaciou /emerge/ pod gentoo
    Vemte to takhle, u distribucí typu Gentoo (kde vše kompilujete) je základem úspěchu mít v pořádku nástroje pro kompílaci. Jedním z nich je gcc.

    Např. při povýšení gcc-3.3 na 3.4 máme Gentoo Linux GCC Upgrade Guide. A problémů spojených s tímto upgrade je plné forums.gentoo.org. Ano, většinou se nedrželi "příručky". Jen tak se přepínat a kompilovat různými GCC různé knihovny asi dobře skončit nemůže.
    8.3.2006 15:45 Robo
    Rozbalit Rozbalit vše Re: Problem s kompilaciou /emerge/ pod gentoo
    Ano, mate pravdu, nedodrzel sem to, da sa to nejako odstanit, alebo musim preinstalovat cely system?
    8.3.2006 15:51 Radomír Fojtík | skóre: 33 | blog: jen to zkouším | Tísek
    Rozbalit Rozbalit vše Re: Problem s kompilaciou /emerge/ pod gentoo
    Však to tam píšou, buď rychlejší metodou pomocí revdep-rebuild nebo metodou rekompilace celého systému, kterým následně využijete nové featury nového gcc. Jak píšou je to na Vás, pro kterou se rozhodnete.
    8.3.2006 15:53 Robo
    Rozbalit Rozbalit vše Re: Problem s kompilaciou /emerge/ pod gentoo
    OK, tak som dal emerge -e system, lebo aj revdep-rebuild mi pisal chyby ked chcel skompilovat nejake zavislosti.

    Založit nové vláknoNahoru

    Tiskni Sdílej: Linkuj Jaggni to Vybrali.sme.sk Google Del.icio.us Facebook

    ISSN 1214-1267   www.czech-server.cz
    © 1999-2015 Nitemedia s. r. o. Všechna práva vyhrazena.